form_page(3X)

NAME
form_page - set and get form page number

SYNOPSIS
#include <form.h>

int set_current_field(FORM *form, FIELD *field);
FIELD *current_field(const FORM *form);

int unfocus_current_field(FORM *form);

int set_form_page(FORM *form, int n);
int form_page(const FORM *form);

int field_index(const FIELD *field);

DESCRIPTION
The function set_current_field sets the current field of the given form; current_field returns the current field of the given form.

The function unfocus_current_field removes the focus from the current field of the form. In such state, inquiries via current_field shall return a NULL pointer.

The function set_form_page sets the form's page number (goes to page n of the form).

The function form_page returns the form's current page number.

The function field_index returns the index of the field in the field array of the form it is connected to. It returns ERR if the argument is the null pointer or the field is not connected.

RETURN VALUE
Except for form_page, each routine returns one of the following:

E_OK
    The routine succeeded.

E_BAD_ARGUMENT
    Routine detected an incorrect or out-of-range argument.

E_BAD_STATE
    Routine was called from an initialization or termination function.

E_INVALID_FIELD
    Contents of a field are not valid.

E_REQUEST_DENIED
    The form driver could not process the request.

E_SYSTEM_ERROR
    System error occurred (see errno(3)).

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

The unfocus_current_field function is an ncurses extension.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.

SEE ALSO
curses(3X), form(3X)